# Uses of Class
org.eclipse.gef.geometry.planar.Region

Packages that use Region
Package
Description
org.eclipse.gef.geometry.convert.swt
This package provides support for converting geometric objects to SWT and for conversion between SWT and AWT.
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Region in org.eclipse.gef.geometry.convert.swt

Methods in org.eclipse.gef.geometry.convert.swt with parameters of type Region
Modifier and Type
Method
Description
`static final Region`
Geometry2SWT.`toSWTRegion(Region r)`
Constructs a new `Region` that covers the same area as this `Region`.

## Uses of Region in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Region
Modifier and Type
Method
Description
`Region`
Region.`add(Rectangle rectangle)`
Adds the given `Rectangle` to this `Region`.
`Region`
Region.`getCopy()`
`Region`
Region.`getScaled(double factor)`
`Region`
Region.`getScaled(double fx, double fy)`
`Region`
Region.`getScaled(double factor, double cx, double cy)`
`Region`
Region.`getScaled(double fx, double fy, double cx, double cy)`
`Region`
Region.`getScaled(double fx, double fy, Point center)`
`Region`
Region.`getScaled(double factor, Point center)`
`Region`
Region.`getTranslated(double dx, double dy)`
`Region`
Region.`getTranslated(Point d)`
`Region`
Region.`scale(double factor)`
`Region`
Region.`scale(double fx, double fy)`
`Region`
Region.`scale(double factor, double cx, double cy)`
`Region`
Region.`scale(double fx, double fy, double cx, double cy)`
`Region`
Region.`scale(double fx, double fy, Point center)`
`Region`
Region.`scale(double factor, Point center)`
`Region`
Region.`translate(double dx, double dy)`
`Region`
Region.`translate(Point d)`
Constructors in org.eclipse.gef.geometry.planar with parameters of type Region
Modifier
Constructor
Description
``
`Region(Region other)`
Constructs a new `Region` from the given other `Region`.